/*------------------------------------*\
    #TEASER
\*------------------------------------*/
/**
 * Teaser component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

/**
 * The region the article that's being linked to belongs to.
 * Will typically be placed inside/at the beginning of the teaser text,
 * e.g. via <span class="c-teaser__region">Guadelope</span>
 *
 * 1. Make the text uppercased.
 * 2. Use light brown as the text color.
 * 3. Add some margin to the rest of the teaser text.
 */

.#{$inuit-namespace}teaser,
%#{$inuit-namespace}teaser {
    a {
        display: inline-block;
        position: relative;
    }
}

.#{$inuit-namespace}teaser__region,
%#{$inuit-namespace}teaser__region {
    @extend %h-text-uppercase; /* [1] */
    color: $drk-color-light-brown; /* [2] */
    margin-right: .5em; /* [3] */
}

.#{$inuit-namespace}teaser__content,
%#{$inuit-namespace}teaser__content {
    margin-top: 20px;

    > h3 {
        margin-bottom: .5em;
        margin-top: 0;
    }

    // Remove bottom margin that came from o-media--stacked > o-media__body
    .#{$inuit-namespace}teaser > &,
    %#{$inuit-namespace}teaser > & {
        margin-bottom: 0;
        margin-top: 0;
    }
}

.#{$inuit-namespace}teaser__img,
%#{$inuit-namespace}teaser__img {
    &--left {
        margin-right: drk-halve($drk-base-unit);
    }
}

.#{$inuit-namespace}teaser__link,
%#{$inuit-namespace}teaser__link {
    @extend %icon--arrow-right;
    background-position: left center;
    background-size: 20px 20px;
    margin-top: 5px;
    padding-left: drk-halve($drk-base-unit);
}

.#{$inuit-namespace}teaser__meta,
%#{$inuit-namespace}teaser__meta {
    + .#{$inuit-namespace}teaser__title,
    + %#{$inuit-namespace}teaser__title {
        margin-top: 0;
    }
}
